#include<iostream>
using namespace std;
int main(){
    int a,b,c,d,e;
    cin>>a;
    cin>>b;
    cin>>c;
    cin>>d;
    cin>>e;
    int rezyltat;

    int sa=a*a,sb=b*b,sc=c*c,sd=d*d,se=e*e;

    if(se>sa+sb+sc+sd){
        rezyltat=1;

    }
    else if(se>sa+sb+sc){
        rezyltat=2;

    }
    else if(se>sa+sd+sc){
        rezyltat=2;

    }
    else if(se>sb+sb+sd){
        rezyltat=2;

    }
    else if(se>sb+sa+sd){
        rezyltat=2;
    }
    else if(se>sa+sc+sd){
        rezyltat=2;
    }
    else if(se>sa+sb){
        rezyltat=3;

    }
    else if(se>sa+sd){
        rezyltat=3;
    }
    else if(se>sa+sc){
        rezyltat=3;
    }
    else if(se>sa+sb){
        rezyltat=3;
    }
    else if(se>sb+sc){
        rezyltat=3;
    }
    else if(se>sb+sd){
        rezyltat=3;
    }
    else if(se>sc+sd){
        rezyltat=3;
    }

    else if(se>sa){
        rezyltat=4;

    }
    else if(se>sb){
        rezyltat=4;
    }
    else if(se>sc){
        rezyltat=4;
    }
    else if(se>sd){
        rezyltat=4;
    }
    else{
    rezyltat=4;
    }

    cout<<rezyltat;









    return 0;
}
